/* soapOrdersManagerBindingProxy.h
   Generated by gSOAP 2.8.22 from OrdersManager.h

Copyright(C) 2000-2015, Robert van Engelen, Genivia Inc. All Rights Reserved.
The generated code is released under one of the following licenses:
GPL or Genivia's license for commercial use.
This program is released under the GPL with the additional exemption that
compiling, linking, and/or using OpenSSL is allowed.
*/

#ifndef soapOrdersManagerBindingProxy_H
#define soapOrdersManagerBindingProxy_H
#include "soapH.h"

class SOAP_CMAC OrdersManagerBindingProxy
{ public:
	struct soap *soap;
	bool soap_own;
	/// Endpoint URL of service 'OrdersManagerBindingProxy' (change as needed)
	const char *soap_endpoint;
	/// Variables globally declared in OrdersManager.h (non-static)
	/// Constructor
	OrdersManagerBindingProxy();
	/// Constructor to use/share an engine state
	OrdersManagerBindingProxy(struct soap*);
	/// Constructor with endpoint URL
	OrdersManagerBindingProxy(const char *url);
	/// Constructor with engine input+output mode control
	OrdersManagerBindingProxy(soap_mode iomode);
	/// Constructor with URL and input+output mode control
	OrdersManagerBindingProxy(const char *url, soap_mode iomode);
	/// Constructor with engine input and output mode control
	OrdersManagerBindingProxy(soap_mode imode, soap_mode omode);
	/// Destructor frees deserialized data
	virtual	~OrdersManagerBindingProxy();
	/// Initializer used by constructors
	virtual	void OrdersManagerBindingProxy_init(soap_mode imode, soap_mode omode);
	/// Delete all deserialized data (with soap_destroy and soap_end)
	virtual	void destroy();
	/// Delete all deserialized data and reset to default
	virtual	void reset();
	/// Disables and removes SOAP Header from message
	virtual	void soap_noheader();
	/// Get SOAP Header structure (NULL when absent)
	virtual	const SOAP_ENV__Header *soap_header();
	/// Get SOAP Fault structure (NULL when absent)
	virtual	const SOAP_ENV__Fault *soap_fault();
	/// Get SOAP Fault string (NULL when absent)
	virtual	const char *soap_fault_string();
	/// Get SOAP Fault detail as string (NULL when absent)
	virtual	const char *soap_fault_detail();
	/// Close connection (normally automatic, except for send_X ops)
	virtual	int soap_close_socket();
	/// Force close connection (can kill a thread blocked on IO)
	virtual	int soap_force_close_socket();
	/// Print fault
	virtual	void soap_print_fault(FILE*);
#ifndef WITH_LEAN
	/// Print fault to stream
#ifndef WITH_COMPAT
	virtual	void soap_stream_fault(std::ostream&);
#endif

	/// Put fault into buffer
	virtual	char *soap_sprint_fault(char *buf, size_t len);
#endif

	/// Web service operation 'GetResponseCodeString' (returns error code or SOAP_OK)
	virtual	int GetResponseCodeString(enum ns1__responseCodeType code, std::string &str) { return this->GetResponseCodeString(NULL, NULL, code, str); }
	virtual	int GetResponseCodeString(const char *endpoint, const char *soap_action, enum ns1__responseCodeType code, std::string &str);

	/// Web service operation 'GetUserId' (returns error code or SOAP_OK)
	virtual	int GetUserId(std::string str, int &value) { return this->GetUserId(NULL, NULL, str, value); }
	virtual	int GetUserId(const char *endpoint, const char *soap_action, std::string str, int &value);

	/// Web service operation 'GetBusinessName' (returns error code or SOAP_OK)
	virtual	int GetBusinessName(int idBusiness, std::string &str) { return this->GetBusinessName(NULL, NULL, idBusiness, str); }
	virtual	int GetBusinessName(const char *endpoint, const char *soap_action, int idBusiness, std::string &str);

	/// Web service operation 'GetIdBusinessList' (returns error code or SOAP_OK)
	virtual	int GetIdBusinessList(int idParent, ns1__idListType &idBussinessList) { return this->GetIdBusinessList(NULL, NULL, idParent, idBussinessList); }
	virtual	int GetIdBusinessList(const char *endpoint, const char *soap_action, int idParent, ns1__idListType &idBussinessList);

	/// Web service operation 'GetUserInfo' (returns error code or SOAP_OK)
	virtual	int GetUserInfo(int idUser, ns1__clientBaseInfoType &userInfo) { return this->GetUserInfo(NULL, NULL, idUser, userInfo); }
	virtual	int GetUserInfo(const char *endpoint, const char *soap_action, int idUser, ns1__clientBaseInfoType &userInfo);

	/// Web service operation 'Registration' (returns error code or SOAP_OK)
	virtual	int Registration(ns1__clientFullInfoType *info, enum ns1__responseCodeType &code) { return this->Registration(NULL, NULL, info, code); }
	virtual	int Registration(const char *endpoint, const char *soap_action, ns1__clientFullInfoType *info, enum ns1__responseCodeType &code);

	/// Web service operation 'Authorization' (returns error code or SOAP_OK)
	virtual	int Authorization(ns1__clientAuthorizationInfoType *authInfo, enum ns1__responseCodeType &code) { return this->Authorization(NULL, NULL, authInfo, code); }
	virtual	int Authorization(const char *endpoint, const char *soap_action, ns1__clientAuthorizationInfoType *authInfo, enum ns1__responseCodeType &code);

	/// Web service operation 'SendOrder' (returns error code or SOAP_OK)
	virtual	int SendOrder(ns1__OrderType *order, ns1__clientAuthorizationInfoType *auth, enum ns1__responseCodeType &code) { return this->SendOrder(NULL, NULL, order, auth, code); }
	virtual	int SendOrder(const char *endpoint, const char *soap_action, ns1__OrderType *order, ns1__clientAuthorizationInfoType *auth, enum ns1__responseCodeType &code);

	/// Web service operation 'TakeOrder' (returns error code or SOAP_OK)
	virtual	int TakeOrder(int takeId, ns1__clientAuthorizationInfoType *auth, enum ns1__responseCodeType &code) { return this->TakeOrder(NULL, NULL, takeId, auth, code); }
	virtual	int TakeOrder(const char *endpoint, const char *soap_action, int takeId, ns1__clientAuthorizationInfoType *auth, enum ns1__responseCodeType &code);

	/// Web service operation 'FinishOrder' (returns error code or SOAP_OK)
	virtual	int FinishOrder(int finishId, ns1__clientAuthorizationInfoType *auth, enum ns1__responseCodeType &code) { return this->FinishOrder(NULL, NULL, finishId, auth, code); }
	virtual	int FinishOrder(const char *endpoint, const char *soap_action, int finishId, ns1__clientAuthorizationInfoType *auth, enum ns1__responseCodeType &code);

	/// Web service operation 'FindOrders' (returns error code or SOAP_OK)
	virtual	int FindOrders(ns1__OrdersQueryType *query, ns1__clientAuthorizationInfoType *auth, struct __ns1__FindOrdersResponse &_param_1) { return this->FindOrders(NULL, NULL, query, auth, _param_1); }
	virtual	int FindOrders(const char *endpoint, const char *soap_action, ns1__OrdersQueryType *query, ns1__clientAuthorizationInfoType *auth, struct __ns1__FindOrdersResponse &_param_1);
};
#endif
